#
# do not use . but make my own toplevel
#
wm withdraw .
set w .menuHelp
toplevel $w
wm title $w "Menu Help Example"
#
# create the menubar
#
set mb $w.menuBar
frame $mb
pack $mb -side top -fill x
menubutton $mb.file -text "File" -menu $mb.file.m -relief raised -bd 2
pack $mb.file -side left
menu $mb.file.m -tearoff 0
$mb.file.m add command -label "New" -command "puts New" \
    -enter {HelpLine "Create a new drawing"} -leave {HelpLine ""}
$mb.file.m add command -label "Open..." -command "puts Open" \
    -enter {HelpLine "Open an existing drawing"} -leave {HelpLine ""}
$mb.file.m add command -label "Close" -command "puts Close" \
    -enter {HelpLine "Close this drawing"} -leave {HelpLine ""}
$mb.file.m add separator
$mb.file.m add command -label "Quit" -command "exit" \
    -enter {HelpLine "Quit the drawing program"} -leave {HelpLine ""}
menubutton $mb.edit -text "Edit" -menu $mb.edit.m -relief raised -bd 2
pack $mb.edit -side left
menu $mb.edit.m -tearoff 0
$mb.edit.m add command -label "Undo" -command "puts Undo" \
    -enter {HelpLine "Undo the last change"} -leave {HelpLine ""}
$mb.edit.m add separator
$mb.edit.m add command -label "Cut" -command "puts Cut" \
    -enter {HelpLine "Delete the selected object to the clipboard"} \
    -leave {HelpLine ""}
$mb.edit.m add command -label "Copy" -command "puts Copy" \
    -enter {HelpLine "Copy the selected object to the clipboard"} \
    -leave {HelpLine ""}
$mb.edit.m add command -label "Paste" -command "puts Paste" \
    -enter {HelpLine "Copy the clipboard into the drawing"} \
    -leave {HelpLine ""}
#
# create a window area and a help line
#
frame $w.main -width 400 -height 300 -relief ridge -bd 3 -bg snow
pack $w.main -side top -fill both -expand yes
label $w.helpLine -text "" -relief sunken -bd 2
pack $w.helpLine -side top -fill x
#
# the HelpLine proc
#
proc HelpLine {msg} {
    .menuHelp.helpLine configure -text $msg
}


